@import '~_vars.scss';
.container {
  border-top: 1px solid rgba(255, 255, 255, 0.2);
}

.wrapper {
  width: 100%;
  background-color: $bgDarkHighlight;
  *,
  p,
  a {
    color: inherit;
  }
  tspan {
    font-size: 0.75rem;
  }
  ul li {
    line-height: 1.125rem;
    height: 1rem;
  }
  :global {
    .recharts-legend-item-text {
      font-size: 0.75rem;
    }
  }
}

.customTooltip {
  padding: 1rem;
  border-radius: 4px;
  background: white;
  border: $borderDefault;
  box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.2);
  .title {
    font-size: 1rem;
    font-weight: 600;
  }
  .item {
    display: flex;
    justify-content: flex-start;
    & > * {
      margin-top: 0;
      margin-bottom: 0;
    }
  }
  .name {
    font-weight: 400;
    margin-right: 0.3rem;
  }
  .value {
    font-weight: 600;
  }
}

:global .recharts-layer.recharts-reference-line tspan {
  fill: red;
}

.daySelectWrapper {
  display: flex;
  justify-content: space-between;
  padding: 30px 30px 15px;
}

.text {
  color: #fff;
  margin: 10px;
  text-align: center;
  line-height: 32px;
}

.timePickerWrapper {
  color: #fff;
  text-align: center;
}

.formControl {
  background-color: #fff;
}

.timePicker {
  padding: 6px 24px 7px 8px;
}
